# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name                  = 'rbmark'
  s.version               = '0.5'
  s.summary               = <<~SUMMARY
    Modular, extensible, HTML-agnostic Markdown parser
  SUMMARY
  s.description = <<~TEXT
    RBMark is a Markdown parser that represents Markdown in a DOM-like
    object structure, allowing for other interfaces to produce more
    complex translators from Markdown to any given format.
  TEXT
  s.authors               = ['yessiest']
  s.email                 = 'yessiest@text.512mb.org'
  s.license               = 'Apache-2.0'
  s.homepage              = 'https://adastra7.net/git/Yessiest/rubymark'
  s.files                 = Dir['lib/**/*.rb'] + Dir['bin/*']
  s.required_ruby_version = '>= 3.0.0'
  s.executables           = ['mdpp']
end
